Skip to main content
`Ctrl`+`K`

# BVOrthogBlockType

Determines the method used in block orthogonalization (simultaneous orthogonalization of a set of vectors).

## Synopsis

    typedef enum { BV_ORTHOG_BLOCK_GS,
                   BV_ORTHOG_BLOCK_CHOL,
                   BV_ORTHOG_BLOCK_TSQR,
                   BV_ORTHOG_BLOCK_TSQRCHOL,
                   BV_ORTHOG_BLOCK_SVQB     } BVOrthogBlockType;

## Values

- `BV_ORTHOG_BLOCK_GS` - Gram-Schmidt, column by column

- `BV_ORTHOG_BLOCK_CHOL` - Cholesky QR method

- `BV_ORTHOG_BLOCK_TSQR` - Tall-Skinny QR method

- `BV_ORTHOG_BLOCK_TSQRCHOL` - TSQR, but computing the triangular factor only

- `BV_ORTHOG_BLOCK_SVQB` - SVQB method

## See Also

BV: Basis Vectors, `BVSetOrthogonalization()`, `BVGetOrthogonalization()`, `BVOrthogonalize()`

## Level

advanced

## Location

include/slepcbv.h

Index of all BV routines Table of Contents for all manual pages Index of all manual pages